org.apache.fop.complexscripts.bidi

## Class BidiResolver

- java.lang.Object
- - org.apache.fop.complexscripts.bidi.BidiResolver

-     public final class BidiResolver
      extends Object

  A utility class for performing bidirectional resolution processing.

  This work was originally authored by Glenn Adams (gadams@apache.org).

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `reorder(LineArea la)` Reorder line area.
    `static void` | `resolveInlineDirectionality(PageSequence ps)` Resolve inline directionality.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### resolveInlineDirectionality

          public static void resolveInlineDirectionality(PageSequence ps)

      Resolve inline directionality.
      Parameters:
        `ps` - a page sequence FO instance

    - #### reorder

          public static void reorder(LineArea la)

      Reorder line area.
      Parameters:
        `la` - a line area instance

Copyright © 2023 Apache Software Foundation. All rights reserved.